<!DOCTYPE html>
<html>

<head>
    <base target="_top">
    <script>
        function fetchStatistics() {
          // eslint-disable-next-line no-undef
          google.script.run
            .withSuccessHandler(function (previewSetupResult) {
              const wrapper = document.getElementById('myHTMLWrapper');
              const possibleCompositionsEstimation = document.getElementById('possibleCompositionsEstimation');
              let myHTML = '';
              const possibleCompositionsEstimationHtml = `class:${previewSetupResult.possibleCompsEstimation.className} spec:${previewSetupResult.possibleCompsEstimation.spec} value:${previewSetupResult.possibleCompsEstimation.value}`;
              possibleCompositionsEstimation.innerHTML = possibleCompositionsEstimationHtml;
              const { charactersStatisticInfo } = previewSetupResult;
              for (let i = 0; i < charactersStatisticInfo.length; i++) {
                myHTML += `<span>${charactersStatisticInfo[i].classAndSpec.class} ${charactersStatisticInfo[i].classAndSpec.spec} - ${charactersStatisticInfo[i].requiredCount}/${charactersStatisticInfo[i].availableCount}</span><br/>`;
              }
              wrapper.innerHTML = myHTML;
            })
            .countCompositionClassAndSpecStatistics();
        }
    </script>
    <style>
        .button {
            background-color: blue;
            color: white;
            padding: 10px;
            border: none;
            border-radius: 5px;
        }
    </style>
</head>

<body onLoad="fetchStatistics()">
    <h1>Reset spreadsheet</h1>
    <p>
        <div id="possibleCompositionsEstimation"></div>
        <div id="myHTMLWrapper"></div>
        <input type="button" class="button" value="Refresh" onclick="fetchStatistics()">
        <input type="button" class="button" value="Close sidebar" onclick="google.script.host.close();">
    </p>
    <hr>
</body>
</html>